Paymark EFTPOS compliance upgrades: Merchant-owned terminal software upgrade

By July 5, 2019 August 27th, 2020 Help Articles, Your EFTPOS Facility

Did you receive a letter from the Paymark network advising you that you need to upgrade?

The latest compliance upgrade requires all terminals on the Paymark network to meet the new, mandatory security standards for data encryption by October 2020.  In addition, all terminals transacting on the 2015 version of Paymark payment software must be upgraded to version 2017, or higher, by the deadline.

Merchants who fail to comply with the latest security standards risk losing the ability to process transactions via the Paymark network.

What you need to do

If you purchased your terminal from a terminal provider, it is your responsibility to ensure you meet these standards before the deadline or you will risk being disconnected from the Paymark network.

Eftpos New Zealand offers a software maintenance service for merchants that purchase their terminals from us. If you signed up for the software maintenance service, then we will be in touch to discuss upgrading the software on your terminal.

If you didn’t sign up for a software maintenance service, or your terminal provider does not offer this service, then you will need to pay for a software upgrade. You may even need to purchase a new terminal. We offer a merchant-owned terminal software upgrade service for merchants with Verifone terminals which you can use, even if you did not purchase your terminal from us.

We can help you understand what is required for you to remain compliant. Give us a call on 0800 EFTPOS, or learn more about upgrading here.